Index: src/main/java/com/zinemasterapp/zinemasterapp/ZineMasterAppApplication.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/ZineMasterAppApplication.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/ZineMasterAppApplication.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -3,8 +3,6 @@
 import org.springframework.boot.SpringApplication;
 import org.springframework.boot.autoconfigure.SpringBootApplication;
-import org.springframework.scheduling.annotation.EnableScheduling;
 
 @SpringBootApplication
-@EnableScheduling
 public class ZineMasterAppApplication {
 
Index: src/main/java/com/zinemasterapp/zinemasterapp/controller/AuthController.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/controller/AuthController.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/controller/AuthController.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -3,14 +3,8 @@
 
 import com.zinemasterapp.zinemasterapp.dto.LoginRequest;
-import com.zinemasterapp.zinemasterapp.dto.UserDTO;
-import com.zinemasterapp.zinemasterapp.model.PasswordResetToken;
 import com.zinemasterapp.zinemasterapp.model.User;
-import com.zinemasterapp.zinemasterapp.repository.TokenRepository;
 import com.zinemasterapp.zinemasterapp.repository.UserRepository;
-import com.zinemasterapp.zinemasterapp.security.jwt.JwtService;
-import com.zinemasterapp.zinemasterapp.service.EmailService;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.http.HttpStatus;
-import org.springframework.http.MediaType;
 import org.springframework.http.ResponseEntity;
 import org.springframework.security.authentication.AuthenticationManager;
@@ -19,19 +13,10 @@
 import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
 import org.springframework.security.core.Authentication;
-import org.springframework.security.core.GrantedAuthority;
-import org.springframework.security.core.token.TokenService;
-import org.springframework.security.core.userdetails.UserDetails;
-import org.springframework.security.core.userdetails.UsernameNotFoundException;
-import org.springframework.security.crypto.password.PasswordEncoder;
-import org.springframework.web.bind.annotation.*;
-
-import org.springframework.security.oauth2.jwt.Jwt;
-import org.springframework.security.core.annotation.AuthenticationPrincipal;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestBody;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
 
 import javax.naming.AuthenticationException;
-import java.time.LocalDateTime;
-import java.util.Map;
-import java.util.Optional;
-import java.util.UUID;
 
 @RestController//deka e REST API kontroler, vrakja JSON
@@ -39,128 +24,47 @@
 public class AuthController {
 
+//    @Autowired
+//    private AuthenticationManager authenticationManager;//avtomatski Springboot pravi AuthenticationManager
+//
+//    @PostMapping("/login")//na /api/auth/login primame POST metoda
+//    public ResponseEntity<?> login(@RequestBody LoginRequest request) {//ResponseEntity ni dozvoluva da kontrolirame HTTP status, response body
+//        try {
+//            Authentication authentication = authenticationManager.authenticate(
+//                    new UsernamePasswordAuthenticationToken(request.getUsername(), request.getPassword())
+//            );
+//            return ResponseEntity.ok("Login successful!");
+//        }catch (BadCredentialsException e){
+//            return ResponseEntity.status(401).body("Invalid username or password");
+//        }catch (DisabledException e){
+//            return ResponseEntity.status(403).body("User is inactive");
+//        }
+//
+//    }
     private final UserRepository userRepository;//isto e kako @Autowired ama povekje imam so konstructor koristeno
-    private final TokenRepository tokenRepository;
-    private final JwtService jwtService;
 
-    @Autowired
-    private EmailService emailService;//service za isprakjanje emails
-    @Autowired
-    private PasswordEncoder passwordEncoder;//za enkodiranje na pass
+    public AuthController(UserRepository userRepository) {
+        this.userRepository = userRepository;
+    }
+
+    @PostMapping("/login")// koga se pravi metod POST na ovaa specificna ruta
+    public ResponseEntity<?> login(@RequestBody LoginRequest request) {//JSON teloto go zema i go mapira vo LoginRequest
+        User user = userRepository.findByUsername(request.getUsername()).orElse(null);//dali ima vo baza korisnik vakov(so pomos na interfejsot
+        // )
+        System.out.println("Login request received from " + request.getUsername());//proverka
 
 
-
-    public AuthController(UserRepository userRepository, TokenRepository tokenRepository,  JwtService jwtService) {
-        this.userRepository = userRepository;
-        this.tokenRepository = tokenRepository;
-        this.jwtService = jwtService;
-    }
-
-    @PostMapping("/login")
-    public ResponseEntity<?> login(@RequestBody LoginRequest req) {
-
-        System.out.println("[/api/auth/login] username=" + req.getUsername());
-        var userOpt = userRepository.findByUsername(req.getUsername());
-        if (userOpt.isEmpty()) {
-            return ResponseEntity.status(401).body(Map.of("error", "User not found"));
+        if (user == null) {
+            return ResponseEntity.status(401).body("User not found");
         }
-        var user = userOpt.get();
-        if(user.getAccess() == 0) {
+        if(user.getAccess() == 0){
             return ResponseEntity.status(401).body("User is not active");
         }
-        if (!passwordEncoder.matches(req.getPassword(), user.getPassword())) {
-            return ResponseEntity.status(401).body(Map.of("error", "Incorrect password"));
+
+        // za demo
+        if ("test123".equals(request.getPassword())) {
+            return ResponseEntity.ok(user);//ova se stava vo localStorage, ova e JSON
+        } else {
+            return ResponseEntity.status(401).body("Invalid password");//ova e String
         }
-
-
-        String role = user.getUserType();
-        String token = jwtService.createToken(user.getId(), user.getUsername(), role, user.getEmail());
-
-        return ResponseEntity.ok(Map.of(
-                "token", token,
-                "user", Map.of(
-                        "id", user.getId(),
-                        "username", user.getUsername(),
-                        "name", user.getName(),
-                        "surname", user.getSurname(),
-                        "userType", user.getUserType(),
-                        "profilePic", user.getProfilePic() ,
-                        "address",user.getAddress(),
-                        "access",user.getAccess(),
-                        "startDate",user.getStartDate()
-                )
-        ));
     }
-
-    @PostMapping("/request-password-reset")
-    public ResponseEntity<?> requestReset(@RequestBody Map<String, String> body) {
-        String username = body.get("username");
-        Optional<User> userOpt = userRepository.findByUsername(username);//dali postoi vo baza
-        if (userOpt.isPresent()) {
-            String token = UUID.randomUUID().toString();//namerno e bez seckanje na UUID za da e pobezbedno
-            PasswordResetToken prt = new PasswordResetToken();//kreirame token
-            prt.setToken(token);//tokenot
-            prt.setUser(userOpt.get());//korisnikot
-            prt.setExpiresAt(LocalDateTime.now().plusMinutes(15));
-            tokenRepository.save(prt);
-            String email = userOpt.get().getEmail();
-
-            String resetLink = "http://localhost:8082/reset-password?token=" + token;
-            emailService.sendResetLink(email, resetLink);//prakja email
-
-            return ResponseEntity.ok("Линкот е успешно пратен.");
-        }
-        return ResponseEntity.ok("That username is not found.");
-
-    }
-
-
-    @PostMapping("/reset-password")
-    public ResponseEntity<?> resetPassword(@RequestBody Map<String, String> body) {
-        String token = body.get("token");
-        String newPassword = body.get("newPassword");
-
-        PasswordResetToken prt = tokenRepository.findByToken(token)
-                .orElseThrow(() -> new RuntimeException("Invalid token"));//dali go imame vo baza tokenot -> linija 79/82
-        if (prt.getExpiresAt().isBefore(LocalDateTime.now())) {//dali pominalo 15min
-            return ResponseEntity.status(HttpStatus.GONE).body("Token expired");
-        }
-
-        User user = prt.getUser();
-        user.setPassword(passwordEncoder.encode(newPassword));
-        userRepository.save(user);
-        tokenRepository.delete(prt);//da ne se koristi pak tokenot
-
-        return ResponseEntity.ok("Password has been reset.");
-    }
-
-    @GetMapping( "/me")//(value = "/me", produces = MediaType.APPLICATION_JSON_VALUE) drug nacin,isto e samo sto forcame da vrakja json
-    public ResponseEntity<UserDTO> me(@AuthenticationPrincipal UserDetails userDetails) {//ova e od spring security i go rpoveruva tokenot
-        if (userDetails == null) {
-            return ResponseEntity.status(401).build();
-        }
-
-        User user = userRepository.findByUsername(userDetails.getUsername())
-                .orElseThrow(() -> new UsernameNotFoundException("User not found"));
-
-        System.out.println(userDetails.getUsername());
-
-        UserDTO dto = new UserDTO(
-                user.getId(),
-                user.getUsername(),
-                user.getName(),
-                user.getSurname(),
-                user.getEmail(),
-                user.getEmailVerified(),
-                user.getAuthProvider(),
-                user.getGoogleSub(),
-                user.getProfilePic(),
-                user.getAddress(),
-                user.getStartDate(),
-                user.getUserType(),
-                user.getAccess()
-        );
-        System.out.println("I am sending my dto");
-        return ResponseEntity.ok(dto);
-    }
-
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/controller/CategoryController.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/controller/CategoryController.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/controller/CategoryController.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -3,12 +3,11 @@
 
 import com.zinemasterapp.zinemasterapp.model.Category;
-import com.zinemasterapp.zinemasterapp.model.Product;
 import com.zinemasterapp.zinemasterapp.repository.CategoryRepository;
-import com.zinemasterapp.zinemasterapp.repository.ProductRepository;
-import org.springframework.data.jpa.repository.support.SimpleJpaRepository;
-import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.*;
+import org.springframework.web.bind.annotation.CrossOrigin;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
 
-import java.util.*;
+import java.util.List;
 
 @RestController
@@ -18,69 +17,12 @@
 
     private final CategoryRepository categoryRepository;//interfejsot za rabota so baza
-    private final ProductRepository productRepository;
 
-    public CategoryController(CategoryRepository categoryRepository, ProductRepository productRepository) {
+    public CategoryController(CategoryRepository categoryRepository) {
         this.categoryRepository = categoryRepository;//isto kako @Autowired
-        this.productRepository = productRepository;
     }
 
     @GetMapping//metod GET gi zema site
     public List<Category> getAllCategories() {
-        return categoryRepository.findByAccessibleTrue();
+        return categoryRepository.findAll();
     }
-
-    @PostMapping
-    public ResponseEntity<?> createCategory(@RequestBody Category category) {
-        if (category.getName() == null || category.getName().trim().isEmpty()) {
-            return ResponseEntity.badRequest().body("Category name is required.");
-        }
-
-        String uniqueId;
-        do {//vejke iam vo baza id so pocnuvaat so C i zaradi toa vaka e i ova
-            uniqueId = "C" + System.currentTimeMillis() + String.format("%03d", new Random().nextInt(1000));//za sek slucaj da nemoze da se sluci isto id da ima
-        } while (categoryRepository.existsById(uniqueId));
-
-        category.setId(uniqueId);
-        category.setAccessible(true);
-
-        categoryRepository.save(category);
-        return ResponseEntity.ok().build();
-    }
-
-    @DeleteMapping("/{id}")//logicko brisenje e i ova
-    public ResponseEntity<?> DeleteCategory(@PathVariable String id, @RequestParam boolean deleteProducts) {//ova poslednoto e posle /id
-        Optional<Category> categoryOpt = categoryRepository.findById(id);//polesno e vaka da se koristi -> smeni i kaj ProductController
-        if (categoryOpt.isEmpty()) {
-            return ResponseEntity.notFound().build();
-        }
-
-        Category category = categoryOpt.get();
-
-
-        List<Product> products = productRepository.findByCategories_IdAndAccessableTrue(id);
-
-        for (Product p : products) {
-            if (deleteProducts) {
-                Set<Category> productCategories = p.getCategories();
-                if (productCategories.size() == 1 && productCategories.iterator().next().getId().equals(id)) {
-                    p.setAccessable(false);
-                }else {
-
-                    productCategories.removeIf(cat -> cat.getId().equals(id));
-                }
-            } else {
-                p.getCategories().removeIf(cat -> cat.getId().equals(id));
-            }
-        }
-
-        productRepository.saveAll(products);
-
-        category.setAccessible(false);
-        categoryRepository.save(category);
-
-        return ResponseEntity.ok().build();
-    }
-
-
-
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/controller/ProductController.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/controller/ProductController.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/controller/ProductController.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -2,25 +2,12 @@
 
 
-import com.zinemasterapp.zinemasterapp.dto.ProductDetails;
-import com.zinemasterapp.zinemasterapp.model.Category;
 import com.zinemasterapp.zinemasterapp.model.Product;
-import com.zinemasterapp.zinemasterapp.model.ProductRequest;
-import com.zinemasterapp.zinemasterapp.model.ProductRequestItem;
-import com.zinemasterapp.zinemasterapp.repository.CategoryRepository;
 import com.zinemasterapp.zinemasterapp.repository.ProductRepository;
-import com.zinemasterapp.zinemasterapp.repository.ProductRequestItemRepository;
-import com.zinemasterapp.zinemasterapp.repository.ProductRequestRepository;
 import org.springframework.data.domain.Sort;
 import org.springframework.http.ResponseEntity;
 import org.springframework.web.bind.annotation.*;
-import org.springframework.web.multipart.MultipartFile;
 
-import java.nio.file.Files;
-import java.nio.file.Path;
-import java.nio.file.Paths;
-import java.time.LocalDate;
-import java.time.format.DateTimeFormatter;
-import java.util.*;
-import java.util.stream.Collectors;
+import java.util.List;
+import java.util.Optional;
 
 @RestController
@@ -30,35 +17,22 @@
 
     private final ProductRepository productRepository;
-    private final CategoryRepository categoryRepository;
-    private final ProductRequestItemRepository productRequestItemRepository;
-    private final ProductRequestRepository productRequestRepository;
 
-    public ProductController(ProductRepository productRepository, CategoryRepository categoryRepository, ProductRequestItemRepository productRequestItemRepository, ProductRequestRepository productRequestRepository) {
+    public ProductController(ProductRepository productRepository) {
         this.productRepository = productRepository;
-        this.categoryRepository = categoryRepository;
-        this.productRequestItemRepository = productRequestItemRepository;
-        this.productRequestRepository = productRequestRepository;
     }
 
     @GetMapping
     public List<Product> getAllProducts() {
-        return productRepository.findByAccessableTrue(Sort.by(Sort.Direction.ASC, "id"));
+        return productRepository.findByAccessableTrue(Sort.by(Sort.Direction.ASC, "id"));//custom metod
 
     }
 
 
-
     @DeleteMapping("/{id}")//logicko brishenje
     public ResponseEntity<?> deleteProduct(@PathVariable String id) {//samo pravime da nemoze da se gleda vejke accessable = false
-        Optional<Product> productOpt = productRepository.findById(id);//polesno e vaka da se koristi -> smeni i kaj ProductController
-        if (productOpt.isEmpty()) {
+        Product product = productRepository.findById(id).orElse(null);
+        if (product == null) {
             return ResponseEntity.notFound().build();
         }
-
-        Product product = productOpt.get();
-//        Product product = productRepository.findById(id).orElse(null);
-//        if (product == null) {
-//            return ResponseEntity.notFound().build();
-//        }
         product.setAccessable(false);
         productRepository.save(product);
@@ -67,94 +41,10 @@
     }
 
-
-    @PostMapping("/upload")
-    public ResponseEntity<Product> addProductWithImage(//poubavo mozemi e so poseben kontroler za uploads?
-            @RequestParam String name,
-            @RequestParam int quantity,
-            @RequestParam(required = false, defaultValue = "true") boolean accessable,
-            @RequestParam(required = false, defaultValue = "0") int reserved,
-            @RequestParam List<String> categoryIds,
-            @RequestParam MultipartFile image)
-    {
-        try {
-
-            String imagePath = saveImageLocally(image);
-            Product product = new Product();
-            product.setName(name);
-            product.setQuantity(quantity);
-            product.setReserved(reserved);
-            product.setAccessable(accessable);
-            product.setImageUrl(imagePath);
-
-            Set<Category> categories = new HashSet<>(categoryRepository.findAllById(categoryIds));
-            product.setCategories(categories);
-
-            Product savedProduct = productRepository.save(product);
-            return ResponseEntity.ok(savedProduct);
-        } catch (Exception e) {
-            return ResponseEntity.badRequest().body(null);
-        }
+    @PostMapping
+    public ResponseEntity<Product> addProduct(@RequestBody Product product) {//JSON go pravime vo Product
+        product.setReserved(0);
+        product.setAccessable(true);
+        Product savedProduct = productRepository.save(product);
+        return ResponseEntity.ok(savedProduct);
     }
-    private String saveImageLocally(MultipartFile file) throws Exception {//MultipartFile e od Spring i pomaga da vidam za samiot file content,size ..
-        String folder = "src/main/resources/static/uploads/";
-        String filename = UUID.randomUUID().toString().replace("-", "").substring(0, 8) + "_" + file.getOriginalFilename();//pod koe ime da ja zacuvame
-        Path path = Paths.get(folder + filename);
-        Files.createDirectories(path.getParent());//za sek slucaj da ne go neame folderot
-        Files.write(path, file.getBytes());//so ova se zacuvuva
-        return "/uploads/" + filename;
-    }
-
-    @PutMapping("/{id}/add-quantity")
-    public ResponseEntity<?> addQuantity(@PathVariable String id, @RequestBody Map<String, Integer> payload) {
-        Optional<Product> productOpt = productRepository.findById(id);
-        if (productOpt.isEmpty()) {
-            return ResponseEntity.notFound().build();
-        }
-
-        Product product = productOpt.get();
-        int quantityToAdd = payload.getOrDefault("quantityToAdd", 0);
-        if (quantityToAdd <= 0) {
-            return ResponseEntity.badRequest().body("Invalid quantity");
-        }
-
-        product.setQuantity(product.getQuantity() + quantityToAdd);
-        productRepository.save(product);
-
-        return ResponseEntity.ok().build();
-    }
-
-    @GetMapping("/{id}/reservations-by-month")
-    public Map<String, Integer> getReservationsByMonth(@PathVariable String id) {
-        List<ProductRequestItem> items = productRequestItemRepository.findByProductId(id);//site naracki so toj proizvod
-
-        Map<String, Integer> reservationsPerMonth = new TreeMap<>();//prazna mapa
-
-        for (ProductRequestItem item : items) {//za baranje od baranjata
-            ProductRequest request = item.getRequest();
-            if (request != null && request.getRequestDate() != null) {//dali postoi narackata?
-                LocalDate date = request.getRequestDate();
-                String month = date.getMonth().toString() + " " + date.getYear();
-                reservationsPerMonth.put(month, reservationsPerMonth.getOrDefault(month, 0) + item.getQuantityRequested());
-            }
-        }
-
-        return reservationsPerMonth;//JULY : 22
-        //AUGUST : 23
-
-    }
-
-    @GetMapping("/{id}")
-    public ResponseEntity<Product> getProductById(@PathVariable String id) {
-        Optional<Product> product = productRepository.findById(id);
-        return product.map(ResponseEntity::ok)
-                .orElse(ResponseEntity.notFound().build());
-    }
-
-
-
-
-
-
-
-
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/controller/ProductRequestController.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/controller/ProductRequestController.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/controller/ProductRequestController.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -10,16 +10,7 @@
 import com.zinemasterapp.zinemasterapp.repository.ProductRequestRepository;
 import com.zinemasterapp.zinemasterapp.repository.UserRepository;
-import com.zinemasterapp.zinemasterapp.service.RequestNotificationService;
-//import jakarta.transaction.Transactional;
-import com.zinemasterapp.zinemasterapp.service.RequestService;
-import org.springframework.data.jpa.repository.support.SimpleJpaRepository;
-import org.springframework.transaction.annotation.Transactional;
 import org.springframework.http.ResponseEntity;
-import org.springframework.security.core.context.SecurityContextHolder;
-import org.springframework.transaction.support.TransactionSynchronization;
-import org.springframework.transaction.support.TransactionSynchronizationManager;
 import org.springframework.web.bind.annotation.*;
 
-import java.time.Instant;
 import java.time.LocalDate;
 import java.util.ArrayList;
@@ -38,70 +29,43 @@
     private final UserRepository userRepo;
     private final ProductRepository productRepo;
-    private final RequestNotificationService requestNotificationService;
-    private final RequestService requestService;
 
-    public ProductRequestController(ProductRequestRepository requestRepo, ProductRequestItemRepository itemRepo, UserRepository userRepo, ProductRepository productRepo, RequestNotificationService requestNotificationService, RequestService requestService) {
+    public ProductRequestController(ProductRequestRepository requestRepo, ProductRequestItemRepository itemRepo,UserRepository userRepo,ProductRepository productRepo) {
         this.requestRepo = requestRepo;
         this.itemRepo = itemRepo;
         this.userRepo = userRepo;
         this.productRepo = productRepo;
-        this.requestNotificationService = requestNotificationService;
-        this.requestService = requestService;
     }
 
+    @PostMapping//sto pravime ako imame POST "ovoj URL"
+    public ResponseEntity<String> createRequest(@RequestBody CreatedRequest dto) {
+        String requestId;
+        do {
+            requestId = "R" + UUID.randomUUID().toString().substring(0, 8).toUpperCase();
+        } while (requestRepo.existsById(requestId));//za sek slucaj da nema isti ID
 
-@PostMapping
-@Transactional
-public ResponseEntity<String> createRequest(@RequestBody CreatedRequest dto) {
-    String requestId;
-    do {
-        requestId = "R" + UUID.randomUUID().toString().substring(0, 8).toUpperCase();
-    } while (requestRepo.existsById(requestId));
+        ProductRequest request = new ProductRequest();//kreiranata naracka
+        request.setId(requestId);
+        request.setUserId(dto.getUserId());
+        request.setRequestDate(LocalDate.now());
+        request.setStatus("pending");//default e
 
-    ProductRequest request = new ProductRequest();
-    request.setId(requestId);
-    request.setUserId(dto.getUserId());
-    request.setRequestDate(LocalDate.now());
-    request.setStatus("pending");
+        requestRepo.save(request);//go zacuvuvame vo baza
 
-    requestRepo.save(request);
+        for (ProductRequestItemDTO itemDTO : dto.getItems()) {
+            Product product = productRepo.findById(itemDTO.getProductId())//dali postoi sekoj produkt
+                    .orElseThrow(() -> new RuntimeException("Продуктот не е најден"));
 
-    for (ProductRequestItemDTO itemDTO : dto.getItems()) {
-        Product product = productRepo.findById(itemDTO.getProductId())
-                .orElseThrow(() -> new RuntimeException("Продуктот не е најден"));
+            ProductRequestItem item = new ProductRequestItem();//ova mi e za taa tabela vo baza kade sto ima ID na narackata i ID na produktot
+            item.setRequest(request);
+            item.setProduct(product);
+            item.setQuantityRequested(itemDTO.getQuantityRequested());
+            itemRepo.save(item);
 
-        ProductRequestItem item = new ProductRequestItem();
-        item.setRequest(request);
-        item.setProduct(product);
-        item.setQuantityRequested(itemDTO.getQuantityRequested());
-        itemRepo.save(item);
+            product.setReserved(product.getReserved() + itemDTO.getQuantityRequested());//se zgolemuva reserved
+            productRepo.save(product);
+        }
 
-        product.setReserved(product.getReserved() + itemDTO.getQuantityRequested());
-        productRepo.save(product);
+        return ResponseEntity.ok(requestId);
     }
-
-    String createdBy =
-            SecurityContextHolder.getContext().getAuthentication() != null
-                    ? SecurityContextHolder.getContext().getAuthentication().getName()
-                    : dto.getUserId();
-
-    Notificationdto payload = new Notificationdto(
-            requestId,
-            createdBy,
-            Instant.now(),
-            dto.getItems() != null ? dto.getItems().size() : 0,
-            "New request #" + requestId + " (" +
-                    (dto.getItems() != null ? dto.getItems().size() : 0) + " items)","REQUEST_CREATED"
-    );
-
-
-    TransactionSynchronizationManager.registerSynchronization(new TransactionSynchronization() {
-        @Override public void afterCommit() {
-            requestNotificationService.notifyAdmins(payload);//ako nesto ne uspee so zacuvuvanje so narakcata da ne dobijat notifikacija
-        }
-    });
-
-    return ResponseEntity.ok(requestId);
-}
 
 
@@ -197,5 +161,4 @@
     @PutMapping("/{id}/status")
     @CrossOrigin(origins = "http://localhost:8082")
-    @Transactional
     public ResponseEntity<Void> updateStatus(@PathVariable String id, @RequestParam String status,
                                              @RequestParam String adminId) {
@@ -227,8 +190,4 @@
         requestRepo.save(request);
 
-        var maker = userRepo.findById(request.getUserId()).orElseThrow();
-        var by = userRepo.findById(adminId).orElseThrow();
-
-        requestService.notifyStatusChanged(request.getId(),maker.getId(),maker.getUsername(),status,by.getUsername());
         return ResponseEntity.ok().build();
     }
